DOM::Notation class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::Notation Class Reference

This interface represents a notation declared in the DTD. More...

`#include <dom_xml.h>`

Inheritance diagram for DOM::Notation:

[legend]
Collaboration diagram for DOM::Notation:

[legend]
List of all members.

## Public Member Functions
| Notation (const Notation &other)
| Notation (const Node &other)
Notation & | operator= (const Node &other)
Notation & | operator= (const Notation &other)
DOMString | publicId () const
| The public identifier of this notation.
DOMString | systemId () const
| The system identifier of this notation.
## Protected Member Functions
| Notation (NotationImpl *i)

## Detailed Description

This interface represents a notation declared in the DTD.

A notation either declares, by name, the format of an unparsed entity (see section 4.7 of the XML 1.0 specification), or is used for formal declaration of Processing Instruction targets (see section 2.6 of the XML 1.0 specification). The `nodeName` attribute inherited from `Node` is set to the declared name of the notation.

The DOM Level 1 does not support editing `Notation` nodes; they are therefore readonly.

A `Notation` node does not have any parent.

Definition at line 225 of file dom_xml.h.

## Member Function Documentation

DOMString Notation::publicId | ( |  | ) | const

| The public identifier of this notation. If the public identifier was not specified, this is `null` . Definition at line 201 of file dom_xml.cpp.

DOMString Notation::systemId | ( |  | ) | const

| The system identifier of this notation. If the system identifier was not specified, this is `null` . Definition at line 209 of file dom_xml.cpp.

The documentation for this class was generated from the following files:

- dom_xml.h
- dom_xml.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001